Skip to main content
GET
/
quote
/
bridge-swap
/
public
Public Quote for Bridge & Swap
curl --request GET \
  --url https://api.rhino.fi/bridge/quote/bridge-swap/public
{
  "chainIn": "<string>",
  "chainOut": "<string>",
  "payAmount": "<string>",
  "payAmountUsd": 123,
  "receiveAmount": "<string>",
  "receiveAmountUsd": 123,
  "fees": {
    "fee": "<string>",
    "feeUsd": 123,
    "gasFee": "<string>",
    "gasFeeUsd": 123,
    "sourceGasFee": "<string>",
    "sourceGasFeeUsd": 123,
    "platformFee": "<string>",
    "platformFeeUsd": 123,
    "percentageFee": "<string>",
    "percentageFeeUsd": 123,
    "percentageFeeAmount": 123,
    "percentageFeeThreshold": 123,
    "sponsoredFees": {
      "fee": "<string>",
      "feeUsd": 123,
      "gasFee": "<string>",
      "gasFeeUsd": 123,
      "sourceGasFee": "<string>",
      "sourceGasFeeUsd": 123,
      "platformFee": "<string>",
      "platformFeeUsd": 123,
      "percentageFee": "<string>",
      "percentageFeeUsd": 123
    }
  },
  "token": "<string>",
  "_tag": "bridge",
  "promotion": {
    "name": "<string>",
    "maxLimitUsd": 123
  },
  "gasBoost": {
    "amountNative": "<string>",
    "amountNativeUsd": 123,
    "amountNativeTokenCost": "<string>"
  },
  "speed": "fast",
  "estimatedDuration": 1
}

Query Parameters

chainIn
string
required

The source chain ID

chainOut
string
required

The target chain ID

amount
string
required

a string to be decoded into a BigDecimal

amountNative
string

a string to be decoded into a BigDecimal

mode
enum<string>
required

"pay" for exact amount to pay (including fees), "receive" for exact amount to receive.

Available options:
pay,
receive
isSda
enum<string>

Optional flag indicating if this quote is for a Smart Deposit Address. Defaults to false.

Available options:
true,
false
tokenIn
string
required

The token symbol to deposit (e.g., "USDT").

tokenOut
string
required

The token symbol to receive after a swap (e.g., "USDC").

Response

SingleBridgePublicQuoteResponseSchema

chainIn
string
required

The source chain ID

chainOut
string
required

The target chain ID

payAmount
string
required

a string to be decoded into a BigDecimal

payAmountUsd
number
required

a number to be decoded into a BigDecimal

receiveAmount
string
required

a string to be decoded into a BigDecimal

receiveAmountUsd
number
required

a number to be decoded into a BigDecimal

fees
object
required

Breakdown of all fees associated with the transaction.

token
string
required

Token symbol or identifier being bridged.

_tag
enum<string>
required
Available options:
bridge
promotion
object

Promotion details if applicable (optional).

gasBoost
object

Gas amount to receive on the destination chain.

speed
enum<string>

Transaction speed (optional).

Available options:
fast,
standard,
slow
estimatedDuration
number

Estimated time for the transaction to complete in milliseconds (optional).

Required range: x >= 0